#
# spec file for package
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libvpx
Version:        0.9.0
Release:        16.1
License:        BSD-style license
Summary:        VP8 codec library
Url:            http://www.webmproject.org/
Group:          Productivity/Graphics/Other
Source0:        libvpx-%version.tar.bz2
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch0:         upstream.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %suse_version <= 1120
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch1:         buildfix.diff
%endif
BuildRequires:  yasm

%description

%package devel
Summary:        VP8 codec library
Group:          Productivity/Graphics/Other

%description devel

%prep
%setup -q -n libvpx-%version
%patch0 -p1
%if %suse_version <= 1120
%patch1 -p0
%endif

%build
cd build
export CFLAGS="%{optflags} -fPIC"
../configure --prefix=/usr --libdir=%{_libdir}
make %{?jobs:-j%jobs}


%install
cd build
%makeinstall

%clean
rm -rf %{buildroot}

%if 0
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc LICENSE CHANGELOG AUTHORS README vp8_api1_migration.txt
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/vpx/
%{_libdir}/libvpx.a

%changelog
* Tue Jun  8 2010 dominique-vlc.suse@leuenberger.net
- Add -fPIC to CFLAGS. The static lib can't be linked on x86_64
  otherwise.
* Fri Jun  4 2010 tittiatcoke@gmail.com
- Initial package
  * based on the latest svn snapshot
  * Included patch to fix build for openSUSE <= 11.2
